Skip to main content
`Ctrl`+`K`

# PetscPrecision

Precision of a real number

## Synopsis

    typedef enum {
      PETSC_PRECISION_INVALID = 0,
      PETSC_PRECISION_BFLOAT16,
      PETSC_PRECISION___FP16,
      PETSC_PRECISION_SINGLE,
      PETSC_PRECISION_DOUBLE,
      PETSC_PRECISION___FLOAT128
    } PetscPrecision;

## Values

- `PETSC_PRECISION_INVALID` - an invalid value

- `PETSC_PRECISION_BFLOAT16` - half precision (Google Brain bfloat16)

- `PETSC_PRECISION___FP16` - half precision (IEEE FP16)

- `PETSC_PRECISION_SINGLE` - single precision

- `PETSC_PRECISION_DOUBLE` - double precision

- `PETSC_PRECISION___FLOAT128` - quadruple precision (__float128)

## Level

intermediate

## Location

include/petsc/private/petscimpl.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages